Update an existing Message
curl --request PATCH \
--url https://commerce.driv.ly/api/messages/{id} \
--header 'Content-Type: application/json' \
--data '
{
"id": "msg_kj3l9dks9j20",
"sentAt": "2023-05-14T12:00:00Z",
"content": "Is the vehicle still available?",
"senderId": "cus_9j2k3ls9dj20",
"receiverId": "com_9j3k2dls0j29"
}
'import requests
url = "https://commerce.driv.ly/api/messages/{id}"
payload = {
"id": "msg_kj3l9dks9j20",
"sentAt": "2023-05-14T12:00:00Z",
"content": "Is the vehicle still available?",
"senderId": "cus_9j2k3ls9dj20",
"receiverId": "com_9j3k2dls0j29"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: 'msg_kj3l9dks9j20',
sentAt: '2023-05-14T12:00:00Z',
content: 'Is the vehicle still available?',
senderId: 'cus_9j2k3ls9dj20',
receiverId: 'com_9j3k2dls0j29'
})
};
fetch('https://commerce.driv.ly/api/messages/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "msg_kj3l9dks9j20",
"sentAt": "2023-05-14T12:00:00Z",
"content": "Is the vehicle still available?",
"senderId": "cus_9j2k3ls9dj20",
"receiverId": "com_9j3k2dls0j29"
},
"success": true
}{
"error": {
"code": 401,
"message": "Unauthorized"
},
"success": false
}{
"error": {
"code": 404,
"message": "Message Not Found"
},
"success": false
}{
"error": {
"code": 429,
"message": "Too Many Requests"
},
"success": false
}Messages
Update an existing Message
PATCH
/
messages
/
{id}
Update an existing Message
Path Parameters
Message is uniquely identified by id
Query Parameters
The number of levels of related objects to include in the response
Body
application/json
Message is uniquely identified by id
Message is written by Agent
Lead sends/receives chat- Message
Sales Rep sends/receives Message
Message is with Internal Email
Message is with External Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Message is with External Email
Message is with Internal Phone Number
Pattern:
^\+?1?[- ]?\(?([0-9]{3})\)?[- ]?([0-9]{3})-?([0-9]{4})$Message has Message Text
Message is autofilled by Template Type
Message is filled in from Template
Message has Attachment
⌘I